from django.db import models

# Create your models here.
class MailServer(models.Model):
  id = models.IntegerField(db_column='id',primary_key=True)
  tipo = models.CharField(db_column='tipo',max_length=5)
  ip = models.CharField(db_column='ip',max_length=15)
  porta = models.IntegerField(db_column='porta',default=0)
  nome = models.CharField(db_column='nome',max_length=20)
  server = models.CharField(db_column='server',max_length=128)
  fisico = models.CharField(db_column='fisico',max_length=128)
  nota = models.CharField(db_column='nota',max_length=255)
  enabled = models.BooleanField(db_column='enabled')
  proxy = models.BooleanField(db_column='proxy')
  quota_local = models.IntegerField(db_column='quota_local',default=0)
  quota_check = models.DateField(db_column='quota_check')

  class Meta:
    ordering = ['id']
    db_table = 'mail_server'
    managed  = False

class LmtpServer(models.Model):
  id = models.IntegerField(db_column='id',primary_key=True)
  tipo = models.CharField(db_column='tipo',max_length=5)
  ip = models.CharField(db_column='ip',max_length=15)
  porta = models.IntegerField(db_column='porta',default=0)
  nome = models.CharField(db_column='nome',max_length=20)
  server = models.CharField(db_column='server',max_length=128)
  fisico = models.CharField(db_column='fisico',max_length=128)
  nota = models.CharField(db_column='nota',max_length=255)
  enabled = models.BooleanField(db_column='enabled')
  proxy = models.BooleanField(db_column='proxy')
  quota_local = models.IntegerField(db_column='quota_local',default=0)
  quota_check = models.DateField(db_column='quota_check')
  sql_remote = models.BooleanField(db_column='sql_remote')
  class Meta:
    ordering = ['id']
    db_table = 'lmtp_server'
    managed = False

class MailProxy(models.Model):
  id = models.IntegerField(db_column='id',primary_key=True)
  tipo = models.CharField(db_column='tipo',max_length=5)
  ip = models.CharField(db_column='ip',max_length=15)
  porta = models.IntegerField(db_column='porta',default=0)
  nome = models.CharField(db_column='nome',max_length=20)
  server = models.CharField(db_column='server',max_length=128)
  fisico = models.CharField(db_column='fisico',max_length=128)
  nota = models.CharField(db_column='nota',max_length=255)
  enabled = models.BooleanField(db_column='enabled')
  proxy = models.BooleanField(db_column='proxy')
  quota_local = models.IntegerField(db_column='quota_local',default=0)
  quota_check = models.DateField(db_column='quota_check')
  sql_remote = models.BooleanField(db_column='sql_remote')
  class Meta:
    ordering = ['id']
    db_table = 'mail_proxy'
    managed = False

class SqlRemote(models.Model):
  id = models.IntegerField(db_column='id',primary_key=True)
  tipo = models.CharField(db_column='tipo',max_length=5)
  ip = models.CharField(db_column='ip',max_length=15)
  porta = models.IntegerField(db_column='porta',default=0)
  nome = models.CharField(db_column='nome',max_length=20)
  server = models.CharField(db_column='server',max_length=128)
  fisico = models.CharField(db_column='fisico',max_length=128)
  nota = models.CharField(db_column='nota',max_length=255)
  enabled = models.BooleanField(db_column='enabled')
  proxy = models.BooleanField(db_column='proxy')
  quota_local = models.IntegerField(db_column='quota_local',default=0)
  quota_check = models.DateField(db_column='quota_check')
  sql_remote = models.BooleanField(db_column='sql_remote')
  class Meta:
    ordering = ['id']
    db_table = 'sql_remote'
    managed = False

